# PSyncNULL Class Reference

`#include <psync.h>`

Inheritance diagram for PSyncNULL:

List of all members.

## Public Member Functions

virtual void | Wait ()
| Block until the synchronisation object is available.
virtual void | Signal ()
| Signal that the synchronisation object is available.

## Member Function Documentation

virtual void PSyncNULL::Signal | ( |  | ) | `[inline, virtual]`

Signal that the synchronisation object is available.

Implements PSync.

virtual void PSyncNULL::Wait | ( |  | ) | `[inline, virtual]`

Block until the synchronisation object is available.

Implements PSync.

The documentation for this class was generated from the following file:

- psync.h